export default {
  methods: {
    backTrackingResolver(gen, active) {
      const models = this.generation.activeModels.find(item => item.generation == gen).models
      const generation = this.generation.activeModels.find(item => item.generation == gen).generation

      this.formatRows.forEach(item => {
        const currentGroup = models.find(group => group.groupId == item.groupId) || {}
        item.backTrackingApply = `${currentGroup.actualCount + currentGroup.groupApprovedCount} /${currentGroup.personCount}`
      })

      if (active < 4) {
        return {
          backTrackingApply: {
            label: '补录情况',
          }
        }
      } else {
        return {}
      }
    }
  }
}
