export default {
  methods: {
    finalAdjustResolver(gen) {
      const models = this.generation.activeModels.find(item => item.generation == gen).models
      const generation = this.generation.activeModels.find(item => item.generation == gen).generation

      this.formatRows.forEach(item => {
        const currentGroup = models.find(group => group.groupId == item.groupId) || {}

        item.finalAdjustApply = `${currentGroup.actualCount + currentGroup.groupApprovedCount} /${currentGroup.personCount}`
      })
      return {
        finalAdjustApply: {
          label: '二次补录情况'
        }
      }
    }
  }
}
