export default {
  methods: {
    forceAdjustResolver(gen) {
      const models = this.generation.activeModels.find(item => item.generation == gen).models
      const generation = this.generation.activeModels.find(item => item.generation == gen).generation

      this.formatRows.forEach(item => {
        const currentGroup = models.find(group => group.groupId == item.groupId) || {}

        item.adjustIndicator = currentGroup.nextGroupIndicator
        item.adjustRecord = `${currentGroup.groupApprovedCount + currentGroup.actualCount} /${currentGroup.personCount}`
      })
      return {
        adjustRecord: {
          label: '调剂补录情况'
        },
        adjustIndicator: {
          label: '调剂补录结果',
          slot: 'underOver'
        }
      }
    }
  }
}
